Subject: Re: [Bugme-new] [Bug 33502] New: Caught 64-bit read from uninitialized memory in __alloc_skb

From: Pekka Enberg <[email-masked]>
Date: Tue, 10 May 2011 12:47:41 +0300

On 5/10/11 11:43 AM, Eric Dumazet wrote:
> I am trying to follow things but honestly I am lost.
> Isnt commit 1759415e63 planned for 2.6.40 ?
> ( ref :
> http://git.kernel.org/?p=linux/kernel/git/penberg/slab-2.6.git;a=commitdiff;h=1759415e630e5db0dd2390df9f94892cbfb9a8a2 )

Yes, it's for 2.6.40.

> How shall we fix things for 2.6.39 ? I thought my patch was OK for that.
>

It's so late in the release cycle that I think the best option is to fix 
it in 2.6.40 and backport it to -stable together with the above commit.

> Its a bit hard to work with you on this stuff, for a report I made ages
> ago, I find it incredible its not yet fixed in linux-2.6.

It's not incredible, I simply managed to miss your patch. Sorry about that.

                     Pekka